﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Cruiser.DrawningObjects;
using Cruiser.MovementStrategy;

namespace Cruiser.Generics
{
    internal class CruiserGenericStorage
    {
        readonly Dictionary<string, CruiserGenericCollection<DrawningCruiser,
        DrawningObjectCruiser>> _cruiserStorages;
        public List<string> Keys => _cruiserStorages.Keys.ToList();
        private readonly int _pictureWidth;
        private readonly int _pictureHeight;
        public CruiserGenericStorage(int pictureWidth, int pictureHeight)
        {
            _cruiserStorages = new Dictionary<string, CruiserGenericCollection<DrawningCruiser, DrawningObjectCruiser>>();
            _pictureWidth = pictureWidth;
            _pictureHeight = pictureHeight;
        }
        public void AddSet(string name)
        {
            _cruiserStorages.Add(name, new CruiserGenericCollection<DrawningCruiser, DrawningObjectCruiser>(_pictureWidth, _pictureHeight));
        }
        public void DelSet(string name)
        {
            if (!_cruiserStorages.ContainsKey(name))
            {
                return;
            }

            _cruiserStorages.Remove(name);
        }
        public CruiserGenericCollection<DrawningCruiser, DrawningObjectCruiser>? this[string ind]
        {
            get
            {
                if (_cruiserStorages.ContainsKey(ind))
                {
                    return _cruiserStorages[ind];
                }
                return null;
            }
        }
    }
}

