﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Cruiser.Entities;

namespace Cruiser.DrawningObjects
{
    public class DrawningAdvancedCruiser : DrawningCruiser
    {
        public DrawningAdvancedCruiser(int speed, double weight, Color bodyColor, Color additionalColor, bool helicopterPad, bool coating, int width, int height) : base(speed, weight, bodyColor, width, height, 110, 60)
        {
            if (EntityCruiser != null)
            {
                EntityCruiser = new EntityAdvancedCruiser(speed, weight, bodyColor, additionalColor, helicopterPad, coating);
            }
        }
        public override void DrawTransport(Graphics g)
        {
            if (EntityCruiser is not EntityAdvancedCruiser cruiser)
            {
                return;
            }
            Pen pen = new Pen(Color.Black);
            Brush addBrush = new SolidBrush(cruiser.AdditionalColor);
            Brush brush = new SolidBrush(cruiser.BodyColor);
            base.DrawTransport(g);
            if (cruiser.HelicopterPad)
            {
                Brush brYellow = new SolidBrush(Color.Yellow);
                g.FillEllipse(brYellow, _startPosX + 80, _startPosY + 5, 20,
                20);
                g.FillEllipse(brYellow, _startPosX + 80, _startPosY + 35, 20,
                20);
            }
            if (cruiser.Coating)
            {
                g.FillEllipse(Brushes.Green, _startPosX + 90, _startPosY + 20, 20, 20);

            }
            }
        }
    }